> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/ans-rules



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/ans-rules
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/ans-rules:
    post:
      tags:
        - internal
        - scan
      summary: POST /v0/ans-rules
      operationId: getAnsRules
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAnsRulesRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAnsRulesResponse'
components:
  schemas:
    GetAnsRulesRequest:
      type: object
      properties:
        cached_ans_rules_contract_id:
          $ref: '#/components/schemas/ContractId'
        cached_ans_rules_domain_id:
          type: string
    GetAnsRulesResponse:
      description: |
        A contract state update of Daml template `Splice.Ans.AnsRules`.
      type: object
      properties:
        ans_rules_update:
          $ref: '#/components/schemas/MaybeCachedContractWithState'
      required:
        - ans_rules_update
    ContractId:
      type: string
    MaybeCachedContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````